org.eclipse.jetty.server.bio

## Class SocketConnector.ConnectorEndPoint

- java.lang.Object
- - org.eclipse.jetty.io.bio.StreamEndPoint
  - - org.eclipse.jetty.io.bio.SocketEndPoint
    - - org.eclipse.jetty.server.bio.SocketConnector.ConnectorEndPoint

All Implemented Interfaces:
  Runnable, ConnectedEndPoint, EndPoint

Direct Known Subclasses:
  SslSocketConnector.SslConnectorEndPoint

Enclosing class:
  SocketConnector

    protected class SocketConnector.ConnectorEndPoint
    extends SocketEndPoint
    implements Runnable, ConnectedEndPoint

### Field Summary

Fields
`protected Socket` `_socket`

### Constructor Summary

Constructors
Constructor and Description
`SocketConnector.ConnectorEndPoint(Socket socket)`

### Method Summary

Methods
`void` `close()` Close any backing stream associated with the endpoint
`void` `dispatch()`
`int` `fill(Buffer buffer)` Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer.
`Connection` `getConnection()`
`void` `run()`
`void` `setConnection(Connection connection)`

### Methods inherited from class org.eclipse.jetty.io.bio.SocketEndPoint

`getLocalAddr, getLocalHost, getLocalPort, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, idleExpired, isInputShutdown, isOpen, isOutputShutdown, setMaxIdleTime, shutdownInput, shutdownOutput, shutdownSocketInput, shutdownSocketOutput, toString`

### Methods inherited from class org.eclipse.jetty.io.bio.StreamEndPoint

`blockReadable, blockWritable, flush, flush, flush, getInputStream, getMaxIdleTime, getOutputStream, isBlocking, isClosed, setInputStream, setOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.io.EndPoint

`blockReadable, blockWritable, flush, flush, flush, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isInputShutdown, isOpen, isOutputShutdown, setMaxIdleTime, shutdownInput, shutdownOutput`

### Field Detail

#### _socket

    protected final Socket _socket

### Constructor Detail

#### SocketConnector.ConnectorEndPoint

    public SocketConnector.ConnectorEndPoint(Socket socket)
                                      throws IOException

Throws:
  `IOException`

### Method Detail

#### getConnection

    public Connection getConnection()

Specified by:
  `getConnection` in interface `ConnectedEndPoint`

#### setConnection

    public void setConnection(Connection connection)

Specified by:
  `setConnection` in interface `ConnectedEndPoint`

#### dispatch

    public void dispatch()
                  throws IOException

Throws:
  `IOException`

#### fill

    public int fill(Buffer buffer)
             throws IOException

Description copied from interface: `EndPoint`
Fill the buffer from the current putIndex to it's capacity from whatever byte source is backing the buffer. The putIndex is increased if bytes filled. The buffer may chose to do a compact before filling.

Specified by:
  `fill` in interface `EndPoint`
Overrides:
  `fill` in class `StreamEndPoint`
Returns:
  an `int` value indicating the number of bytes filled or -1 if EOF is reached.
Throws:
  `EofException` - If input is shutdown or the endpoint is closed.
  `IOException`

#### close

    public void close()
               throws IOException

Description copied from interface: `EndPoint`
Close any backing stream associated with the endpoint

Specified by:
  `close` in interface `EndPoint`
Overrides:
  `close` in class `SocketEndPoint`
Throws:
  `IOException`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`